
Partial Class login_Logged_IN
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs)
        lbl_Loggedin.ForeColor = Drawing.Color.White
        lbl_Loggedin.Style.Add("font-weight", "800")
    End Sub
    Protected Sub LogoutButton_Click(sender As Object, e As EventArgs)
        FormsAuthentication.SignOut()
        Session.Clear()

        'clear authentication cookie
        'Dim cookie1 As HttpCookie = New HttpCookie(FormsAuthentication.FormsCookieName, "")
        'cookie1.Expires = DateTime.Now.AddYears(-1)
        'Response.Cookies.Add(cookie1)

        'clear session cookie 
        'Dim sessionStateSection As New SessionStateSection
        'SessionStateSection = WebConfigurationManager.GetSection("system.web/sessionState")
        'Dim cookie2 As HttpCookie = New HttpCookie(sessionStateSection.CookieName, "")
        'cookie2.Expires = DateTime.Now.AddYears(-1)
        'Response.Cookies.Add(cookie2)

        Response.Redirect("login/Logout.aspx")
    End Sub
End Class
